QoreClassConstantIterator Class Referencefinal

iterates class constants More...

`#include <QoreClass.h>`

## Public Member Functions

DLLEXPORT | QoreClassConstantIterator (const QoreClass &cls)
| creates the iterator; call next() to start iterating
DLLEXPORT | ~QoreClassConstantIterator ()
| destroys the object
DLLEXPORT const QoreExternalConstant & | get () const
| returns the
DLLEXPORT bool | next ()
| returns advances to the next element (or to the first element if starting to iterate) and returns true if there is an element to query or returns false if at the end of the list
DLLEXPORT bool | valid () const
| returns true if the iterator is pointing at a valid element

## Detailed Description

iterates class constants

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/QoreClass.h